Extending Qt Creator Manual | OutputWindow

Extending Qt Creator Manual 4.5.2

# OutputWindow Class

(Core::OutputWindow)

- List of all members, including inherited members

## Public Functions

| OutputWindow(Context context, QWidget *parent = 0)
| ~OutputWindow()
void | appendMessage(const QString &out, Utils::OutputFormat format)
void | appendText(const QString &text, const QTextCharFormat &format = QTextCharFormat())
void | clear()
float | fontZoom() const
Utils::OutputFormatter * | formatter() const
void | grayOutOldContent()
int | maxLineCount() const
void | scrollToBottom()
void | setBaseFont(const QFont &newFont)
void | setFontZoom(float zoom)
void | setFormatter(Utils::OutputFormatter *formatter)
void | setMaxLineCount(int count)
void | setWheelZoomEnabled(bool enabled)
void | showEvent(QShowEvent *) override

## Public Slots

void | setWordWrapEnabled(bool wrap)

## Signals

void | wheelZoom()

## Protected Functions

bool | isScrollbarAtBottom() const
void | keyPressEvent(QKeyEvent *ev) override
void | mouseMoveEvent(QMouseEvent *e) override
void | mousePressEvent(QMouseEvent *e) override
void | mouseReleaseEvent(QMouseEvent *e) override
void | resizeEvent(QResizeEvent *e) override
void | wheelEvent(QWheelEvent *e) override

## Member Function Documentation

### OutputWindow::OutputWindow(Context context, QWidget *parent = 0)

Default constructs an instance of OutputWindow.

### OutputWindow::~OutputWindow()

Destroys the instance of OutputWindow.

### void OutputWindow::appendMessage(const QString &out, Utils::OutputFormat format)

### void OutputWindow::appendText(const QString &text, const QTextCharFormat &format = QTextCharFormat())

### void OutputWindow::clear()

### float OutputWindow::fontZoom() const

See also setFontZoom().

### Utils::OutputFormatter *OutputWindow::formatter() const

See also setFormatter().

### void OutputWindow::grayOutOldContent()

### `[protected]` bool OutputWindow::isScrollbarAtBottom() const

### `[protected]` void OutputWindow::keyPressEvent(QKeyEvent *ev)

### int OutputWindow::maxLineCount() const

See also setMaxLineCount().

### `[protected]` void OutputWindow::mouseMoveEvent(QMouseEvent *e)

### `[protected]` void OutputWindow::mousePressEvent(QMouseEvent *e)

### `[protected]` void OutputWindow::mouseReleaseEvent(QMouseEvent *e)

### `[protected]` void OutputWindow::resizeEvent(QResizeEvent *e)

### void OutputWindow::scrollToBottom()

### void OutputWindow::setBaseFont(const QFont &newFont)

### void OutputWindow::setFontZoom(float zoom)

See also fontZoom().

### void OutputWindow::setFormatter(Utils::OutputFormatter *formatter)

See also formatter().

### void OutputWindow::setMaxLineCount(int count)

See also maxLineCount().

### void OutputWindow::setWheelZoomEnabled(bool enabled)

### `[slot]` void OutputWindow::setWordWrapEnabled(bool wrap)

### void OutputWindow::showEvent(QShowEvent *)

### `[protected]` void OutputWindow::wheelEvent(QWheelEvent *e)

### `[signal]` void OutputWindow::wheelZoom()